Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 588608 - Missing/Removed system-config-netboot tool from RHEL6 beta
Missing/Removed system-config-netboot tool from RHEL6 beta
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Denise Dumas
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 00:41 EDT by brian
Modified: 2016-06-17 17:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 16:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian 2010-05-04 00:41:31 EDT
Description of problem:

The release notes state that RHEL6 has removed the system-config-netboot tool with no replacement.  There is a suggestion to look into cobbler.  We have been using the NFSRoot features of system-config-netboot for 4-5 years now through RHEL4 and into RHEL5.  It is very concerning to see RHEL6 setup to leave my department with no solution for this need.  This is not the first time RedHat has set to remove this tool, it was removed for a time from RHEL5 but through voices of customers it was added back in with a commitment to insure RedHat users would have this tool or an equivalent one to takes its place so that there was a smooth migration path from one redhat release to the next.  Stateless linux, the ever work in progress that it is, was advertised as where RHEL5 saw things going so system-config-netboot was kind of in a limp by mode which was still fine as it did its job for us, NFSRoot, very well.  Again now we are left with no path to stick with RHEL6 unless we wish to roll our own and this takes away from the value of this distribution that we pay $ for.  Please reconsider!
Comment 1 brian 2010-05-04 00:42:34 EDT
I'm sure my selection of the component is not correct but there was no other means clearly setup in bugzilla to report an issue for a "missing" package.  So I tied it to the release notes that at least lists this as a removed package and hence my report in the first place.
Comment 3 RHEL Product and Program Management 2010-05-04 02:17:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 brian 2010-05-05 12:16:05 EDT
I see that the "keyword" futurefeature was added to this ticket.  What does that mean exactly?
Comment 5 Bill Nottingham 2010-05-05 15:53:34 EDT
Essentially, 'a request for a new package'.

While the setup is more complex, the dracut initramfs *does* supoprt NFS root booting.
Comment 10 Denise Dumas 2010-06-10 16:40:52 EDT
Brian, we're going to add more detail in the doc around how to accomplish the tasks that s-c-netboot was used for. You can review it in the Technical Note field in this bugzilla if you'd like. Sorry, we just can't add the package back.
Comment 15 Douglas Silas 2010-06-29 08:27:43 EDT
Note about this bug being closed: refer to current bug 607544.

Note You need to log in before you can comment on or make changes to this bug.